# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'cross_spec/version'

Gem::Specification.new do |spec|
  spec.name          = "cross_spec"
  spec.version       = CrossSpec::VERSION
  spec.authors       = ["Ben Fischer"]
  spec.email         = ["bfischer@doximity.com"]

  spec.summary       = %q{A framework for doing cross app testing with support for distributed factories, test parallelism, and verification of async events.}
  spec.description   = %q{A framework for doing cross app testing with support for distributed factories, test parallelism, and verification of async events.}
  spec.homepage      = "https://github.com/doximity/cross_spec_ruby"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.14"
  spec.add_development_dependency "byebug"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "simplecov"

  spec.add_dependency "ruby-kafka"
  spec.add_dependency "distributed_tracing"
end
